[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.AlphaBlend_Image

AlphaBlends the specified image onto the canvas.

## Declaration

Source position: lazcanvas.pas line 134

`public procedure TLazCanvas.AlphaBlend_Image(`
`ASource: TFPCustomImage;`
`const ADestX: Integer;`
`const ADestY: Integer;`
`const ASourceX: Integer;`
`const ASourceY: Integer;`
`const ASourceWidth: Integer;`
`const ASourceHeight: Integer`
`);`

## Arguments

`ASource` |  | TFPCustomImage instance with the content applied in the method.
`ADestX` |  | Left coordinate where the content in ASource is applied to the canvas.
`ADestY` |  | Top coordinate where the content in ASource is applied to the canvas.
`ASourceX` |  | Left coordinate for the content in ASource applied in the method.
`ASourceY` |  | Top coordinate for the content in ASource applied in the method.
`ASourceWidth` |  | Width (in pixels) of the content in ASource applied in the method.
`ASourceHeight` |  | Height (in pixels) of the content in ASource applied in the method.

## See also

TLazCanvas.AlphaBlend |  | Alpha blends the specified content from the source canvas onto the canvas instance.
TLazCanvas.AlphaBlendIgnoringDestPixels |  | Performs an AlphaBlend operation assuming a white background.